#!/bin/sh

# usage: task domainname directory
echo $*
task=$1
dom=$2
dir=$3

case $task in
init-dep)
	rm -f $dir/init_$dom.dep
	$BINDIR/interpsys <<EOF > $dir/init_$dom.dep.log
)set bre fast
)lisp (break)
(load "genax.lsp")
(generate-one-init-dep-file "baselist.lsp" '$dom "$dir")
EOF
	if [ ! -f $dir/init_$dom.dep ] ; then cat $dir/init_$dom.dep.log; false; 
	else 
	    cat $dir/init_$dom.dep | sort | uniq > $dir/init_$dom.dep.tmp
	    mv $dir/init_$dom.dep.tmp $dir/init_$dom.dep
	fi
;;

init-ap)
	rm -f $dir/init_$dom.ap
	$BINDIR/interpsys <<EOF > $dir/$dom.log
)set bre fast
)lisp (break)
(load "genax.lsp")
(generate-one-ap-dep-file "baselist.lsp" '$dom)
EOF
	if [ ! -f $dir/$dom.ap ] ; then false; fi
;;

dep)
	echo "Creating dependencies for $dom"
	$BINDIR/interpsys <<EOF > $dir/$dom.dep.log
)set bre fast
)lisp (break)
(load "genax.lsp")
(setq domains (quote ($dom)))
(generate-deps domains "$dir")
EOF
	if [ ! -f $dir/$dom.dep ] ; then cat $dir/$dom.dep.log; false;
	else 
	    cat $dir/$dom.dep | sort | uniq > $dir/$dom.dep.tmp
	    mv $dir/$dom.dep.tmp $dir/$dom.dep
	fi
;;
aldor-dep)
	echo "Creating dependencies for $dom"
	$BINDIR/interpsys <<EOF > $dir/$dom.dep.log
)set bre fast
)lisp (break)
(load "genax.lsp")
(setq domains (quote ("ap/$dom.ap")))
(generate-deps-from-ap-files domains "$dir")
EOF
	if [ ! -f $dir/$dom.dep ] ; then cat $dir/$dom.dep.log; false;
	else 
	    cat $dir/$dom.dep | sort | uniq > $dir/$dom.dep.tmp
	    mv $dir/$dom.dep.tmp $dir/$dom.dep
	fi

;;
esac

